
Figure - Bug #116821
【BSP】【DVT】【ST】【Audio】中控联调时副屏播放音乐有杂音
2023-03-08 19:51 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2023-03-08

Priority: Normal Due date: 2023-03-13

Assignee: 移动测试一组_CDTS 刘强 % Done: 0%

Category: BSP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 中控：0052��副屏：0079userdebug

Resolution: FIXED Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 中控通过修改FSE上的AD2428的配置参数来解决。

Description

【复现步骤】

1.中控联调

2.在副屏上播放音乐

【实际结果】

副屏播放音乐，声音大小正常但是存在杂音

【预期结果】

声音干净，不应出现杂音，卡顿等

History

#1 - 2023-03-09 15:51 - CD BSP-杜磊

- Status changed from New to ASSIGNED

- Assignee changed from CD TPM-王祥林 to CD BSP-唐金泽

#2 - 2023-03-09 16:18 - CD BSP-唐金泽

2023-12-28

关于音频AMP Speaker杂音问题的初步判断；

https://thundersoft.feishu.cn/docx/VxizdQHhgoDDC5x61HicqXwHnjf

2023-1-15

在上面更新了MIC的测试，录音没有杂音；

2023-03-01

和客户同步会议，客户开会说需要设置+*24BIT*+数据，之前一直是32bit的数据。

#3 - 2023-03-09 16:24 - CD BSP-唐金泽

- File 20230309-162142 added

2023-03-03 

测试mic数据的TDM波形，确认确实未，24bit数据；

高通提出无法设置24bit slot位宽
#4 - 2023-03-09 16:27 - CD BSP-唐金泽

2023-03-07

添加测试输出数据波形；

#5 - 2023-03-09 16:31 - CD BSP-唐金泽

2023-3-7 微信和客户反馈：

1、高通回应TDM bitwidth只有16/32 bit两个选项，创达测试验证，也是不通。 

2 . 早期商议一致都是32bit,我们想深入了解协议后续改为24bit的原因？ 

3、24bit理论上数据应该采集高24bit,理论上应该不影响数据的杂音问题。 

4、A2B总线master端，或AMP端，能否dump出副排屏控制器输出的TDM音频？以判断是否杂音故障是否由24bit带宽影响的。

TX数据下降沿采集，大连中控英军提出配置信息。

后验证和下降沿采集无关；

#6 - 2023-03-09 16:32 - CD BSP-唐金泽

- File TDM_OUT_2channel_32bit added

CD BSP-唐金泽 wrote:

2023-03-07

添加测试输出数据波形；

#7 - 2023-03-09 16:33 - CD BSP-唐金泽

- File 数据下降沿采集.png added

CD BSP-唐金泽 wrote:

给之前comment 添加图片

2023-3-7 微信和客户反馈：

1、高通回应TDM bitwidth只有16/32 bit两个选项，创达测试验证，也是不通。 

2 . 早期商议一致都是32bit,我们想深入了解协议后续改为24bit的原因？ 

3、24bit理论上数据应该采集高24bit,理论上应该不影响数据的杂音问题。 

4、A2B总线master端，或AMP端，能否dump出副排屏控制器输出的TDM音频？以判断是否杂音故障是否由24bit带宽影响的。

TX数据下降沿采集，大连中控英军提出配置信息。

后验证和下降沿采集无关；

#8 - 2023-03-09 16:38 - CD BSP-唐金泽

- File 中控音频设计框架.png added

2023-3-7

和中控英军沟通，对齐音频细节问题，发现并无反馈
#9 - 2023-03-09 16:39 - CD BSP-唐金泽

2023-3-7

和展志沟通，可以提出需求问题，内容给到缪工：

AMP杂音故障，请帮忙确认以下问题：

1、AMP进行DUMP FSE的Audio数据？只能看波形？

2、24bit的对齐方式LSB和MSB？

3、数据32bit 取的是高24bit还是低24bit？

4、A2B中TDM配置是16 slot，实际的音源是20 slot下行，12 slot上行。请帮忙确认澄清。

当前信息同步：

1、副排屏，数据采样的上升沿采样，和下降沿采样都有杂音，进行排除；

2、副排屏，数据延迟同步，invert等方式验证是正确的；

3、副排屏控制器，输出24BIT data-width，未生效，还是按照32bit输出;

#10 - 2023-03-09 16:40 - CD BSP-唐金泽

2023-3-8 13:00 Audio 杂音会议AI：

1、AMP同步版本后，重新实测验证；TC输出0078_debug_FSE版本，德才已帮忙输出。

2、声音回传功能的方法，TC操作，需要AMP帮忙指导；

3、请AMP同事帮忙查看，AMP端能dump出TDM刚接收的数据；

4、请AMP帮忙看下A2B转换回TDM FSE播放数据的波形；

已同步信息：

FSE端，A2B接收TDM数据时，会将32bit数据转换为24bit有效数据。

#11 - 2023-03-09 16:47 - CD BSP-唐金泽

- File 20230308-24bit-162314.mp4 added

- File 20230308-32bit-162552.mp4 added

2023-3-8 下午测试输出视频文件24bit数据，还是有杂音。

测试音频波形，已同步至客户。

#12 - 2023-03-09 16:49 - CD BSP-唐金泽

- File test.pcm added

2023-3-9 取出的声音回传数据还是有杂音的

2、声音回传功能的方法，TC操作，需要AMP帮忙指导；

------

1,设定->主机工程模式->ADB->应用白名单

2,设定->audiotest app->最后一个录音功能

adb pull data/media/0/Android/data/com.example.audiotest/files/test/test.pcm

选择16bit 8channel 16khz的解析，进行播放。
#13 - 2023-03-09 17:30 - CD BSP-唐金泽

- File A2B模块设计.png added

#14 - 2023-03-13 16:17 - CD BSP-唐金泽

- File 杂音问题处理方案.jpg added

- Due date set to 2023-03-13

- Status changed from ASSIGNED to RESOLVED

- Resolution changed from -- to FIXED

- Root cause set to 中控通过修改FSE上的AD2428的配置参数来解决。

和中控英军确认，杂音问题的处理结论：

中控通过修改FSE上的AD2428的配置参数来解决。

副排屏现在是32bit输出TDM，保持即可。

#15 - 2023-03-13 16:18 - CD BSP-唐金泽

- Assignee changed from CD BSP-唐金泽 to 移动测试一组_CDTS 刘强

#16 - 2023-03-14 18:08 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

Hi all

此问题在01.00.0082.C101上验证通过。

Thanks

#17 - 2023-03-14 18:08 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED

Files

20230309-162142 142 KB 2023-03-09 CD BSP-唐金泽

TDM_OUT_2channel_32bit 2.08 MB 2023-03-09 CD BSP-唐金泽

数据下降沿采集.png 65.1 KB 2023-03-09 CD BSP-唐金泽

中控音频设计框架.png 39.4 KB 2023-03-09 CD BSP-唐金泽

20230308-24bit-162314.mp4 17.7 MB 2023-03-09 CD BSP-唐金泽

20230308-32bit-162552.mp4 3.52 MB 2023-03-09 CD BSP-唐金泽

test.pcm 5.55 MB 2023-03-09 CD BSP-唐金泽

A2B模块设计.png 57.5 KB 2023-03-09 CD BSP-唐金泽

杂音问题处理方案.jpg 42.7 KB 2023-03-13 CD BSP-唐金泽
